Index: main/config.c
===================================================================
--- main/config.c	(revision 50555)
+++ main/config.c	(working copy)
@@ -1317,18 +1317,27 @@
 	return result;
 }
 
-struct ast_variable *ast_load_realtime_all(const char *family, ...)
+static struct ast_variable *ast_realtime_helper(const char *family, va_list ap)
 {
 	struct ast_config_engine *eng;
 	char db[256]="";
 	char table[256]="";
 	struct ast_variable *res=NULL;
-	va_list ap;
 
-	va_start(ap, family);
 	eng = find_engine(family, db, sizeof(db), table, sizeof(table));
 	if (eng && eng->realtime_func) 
 		res = eng->realtime_func(db, table, ap);
+
+	return res;
+}
+
+struct ast_variable *ast_load_realtime_all(const char *family, ...)
+{
+	struct ast_variable *res;
+	va_list ap;
+
+	va_start(ap, family);
+	res=ast_realtime_helper(family,ap);
 	va_end(ap);
 
 	return res;
@@ -1340,7 +1349,7 @@
 	va_list ap;
 
 	va_start(ap, family);
-	res = ast_load_realtime_all(family, ap);
+	res = ast_realtime_helper(family, ap);
 	va_end(ap);
 
 	/* Eliminate blank entries */
@@ -1350,7 +1359,7 @@
 			freeme = NULL;
 		}
 
-		if (ast_strlen_zero(cur->value)) {
+		if (ast_strlen_zero(cur->value) || !strcmp(cur->value," ")) {
 			if (prev)
 				prev->next = cur->next;
 			else
